Loading...
Searching...
No Matches
BALL::VIEW::DockingFinishedMessage Class Reference

Message to notify docking has finished. More...

`#include <BALL/VIEW/KERNEL/message.h>`

Inheritance diagram for BALL::VIEW::DockingFinishedMessage:

## Public Member Functions

| DockingFinishedMessage ()
| DockingFinishedMessage (bool abort)
virtual | ~DockingFinishedMessage ()
void | setConformationSet (const ConformationSet *conformation_set)
const ConformationSet * | getConformationSet () const
bool | wasAborted ()
Public Member Functions inherited from BALL::VIEW::Message
| Message ()
| Message (const Message &message)
virtual | ~Message ()
void | setSender (const ConnectionObject *sender)
const ConnectionObject * | getSender () const
void | setDeletable (bool flag=true)
bool | isDeletable () const
boost::any & | data ()

## Protected Attributes

const ConformationSet * | conformation_set_
| this conformation set is deleted in DockResult
bool | abort_

## Detailed Description

Message to notify docking has finished.

Definition at line 846 of file message.h.

## Constructor & Destructor Documentation

## DockingFinishedMessage() [1/2]

BALL::VIEW::DockingFinishedMessage::DockingFinishedMessage | ( |  | ) |

## DockingFinishedMessage() [2/2]

BALL::VIEW::DockingFinishedMessage::DockingFinishedMessage | ( | bool | abort | ) |

## ~DockingFinishedMessage()

virtual BALL::VIEW::DockingFinishedMessage::~DockingFinishedMessage | ( |  | ) |

virtual

## Member Function Documentation

## getConformationSet()

const ConformationSet * BALL::VIEW::DockingFinishedMessage::getConformationSet | ( |  | ) | const

inline

Definition at line 866 of file message.h.

## setConformationSet()

void BALL::VIEW::DockingFinishedMessage::setConformationSet | ( | const ConformationSet * | conformation_set | ) |

inline

Definition at line 860 of file message.h.

## wasAborted()

bool BALL::VIEW::DockingFinishedMessage::wasAborted | ( |  | ) |

inline

Definition at line 869 of file message.h.

## Member Data Documentation

## abort_

bool BALL::VIEW::DockingFinishedMessage::abort_

protected

Definition at line 875 of file message.h.

## conformation_set_

const ConformationSet* BALL::VIEW::DockingFinishedMessage::conformation_set_

protected

this conformation set is deleted in DockResult

Definition at line 874 of file message.h.